---
title: bottom
slug: Web/CSS/bottom
tags:
  - CSS
  - CSS Positioning
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>bottom</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property participates in setting the vertical position of a <a href="/en-US/docs/Web/CSS/position">positioned element</a>. It has no effect on non-positioned elements.</p>

<div>{{EmbedInteractiveExample("pages/css/bottom.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>The effect of <code>bottom</code> depends on how the element is positioned (i.e., the value of the {{cssxref("position")}} property):</p>

<ul>
	<li>When <code>position</code> is set to <code>absolute</code> or <code>fixed</code>, the <code>bottom</code> property specifies the distance between the element's bottom edge and the bottom edge of its containing block.</li>
	<li>When <code>position</code> is set to <code>relative</code>, the <code>bottom</code> property specifies the distance the element's bottom edge is moved above its normal position.</li>
	<li>When <code>position</code> is set to <code>sticky</code>, the <code>bottom</code> property is used to compute the sticky-constraint rectangle.</li>
	<li>When <code>position</code> is set to <code>static</code>, the <code>bottom</code> property has <em>no effect</em>.</li>
</ul>

<p>When both {{cssxref("top")}} and <code>bottom</code> are specified, <code>position</code> is set to <code>absolute</code> or <code>fixed</code>, <em>and</em> {{cssxref("height")}} is unspecified (either <code>auto</code> or <code>100%</code>) both the <code>top</code> and <code>bottom</code> distances are respected. In all other situations, if {{cssxref("height")}} is constrained in any way or <code>position</code> is set to <code>relative</code>, the <code>top</code> property takes precedence and the <code>bottom</code> property is ignored.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
bottom: 3px;
bottom: 2.4em;

/* &lt;percentage&gt;s of the height of the containing block */
bottom: 10%;

/* Keyword value */
bottom: auto;

/* Global values */
bottom: inherit;
bottom: initial;
bottom: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt>{{cssxref("&lt;length&gt;")}}</dt>
	<dd>A negative, null, or positive {{cssxref("&lt;length&gt;")}} that represents:
	<ul>
		<li>for <em>absolutely positioned elements</em>, the distance to the bottom edge of the containing block.</li>
		<li>for <em>relatively positioned elements</em>, the distance that the element is moved above its normal position.</li>
	</ul>
	</dd>
	<dt>{{cssxref("&lt;percentage&gt;")}}</dt>
	<dd>A {{cssxref("&lt;percentage&gt;")}} of the containing block's height.</dd>
	<dt><code>auto</code></dt>
	<dd>Specifies that:
	<ul>
		<li>for <em>absolutely positioned elements</em>, the position of the element is based on the {{Cssxref("top")}} property, while <code>height: auto</code> is treated as a height based on the content; or if <code>top</code> is also <code>auto</code>, the element is positioned where it should vertically be positioned if it were a static element.</li>
		<li>for <em>relatively positioned elements</em>, the distance of the element from its normal position is based on the {{Cssxref("top")}} property; or if <code>top</code> is also <code>auto</code>, the element is not moved vertically at all.</li>
	</ul>
	</dd>
	<dt><code>inherit</code></dt>
	<dd>Specifies that the value is the same as the computed value from its parent element (which might not be its containing block). This computed value is then handled as if it were a {{cssxref("&lt;length&gt;")}}, {{cssxref("&lt;percentage&gt;")}}, or the <code>auto</code> keyword.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Absolute_and_fixed_positioning">Absolute and fixed positioning</h3>

<p>This example demonstrates the difference in behavior of the <code>bottom</code> property, when {{cssxref("position")}} is <code>absolute</code> versus <code>fixed</code>.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This&lt;br&gt;is&lt;br&gt;some&lt;br&gt;tall,&lt;br&gt;tall,&lt;br&gt;tall,&lt;br&gt;tall,&lt;br&gt;tall&lt;br&gt;content.&lt;/p&gt;
&lt;div class="fixed"&gt;&lt;p&gt;Fixed&lt;/p&gt;&lt;/div&gt;
&lt;div class="absolute"&gt;&lt;p&gt;Absolute&lt;/p&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  font-size: 30px;
  line-height: 2em;
}

div {
  width: 48%;
  text-align: center;
  background: rgba(55,55,55,.2);
  border: 1px solid blue;
}

.absolute {
  position: absolute;
  bottom: 0;
  left: 0;
}

.fixed {
  position: fixed;
  bottom: 0;
  right: 0;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Absolute_and_fixed_positioning','500','250')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Positioning', '#propdef-bottom', 'bottom')}}</td>
			<td>{{Spec2('CSS3 Positioning')}}</td>
			<td>Adds behavior for sticky positioning.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1', 'visuren.html#choose-position', 'bottom')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.bottom")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("inset")}}, the shorthand for all related properties: {{cssxref("top")}}, {{cssxref("bottom")}}, {{cssxref("left")}}, and {{cssxref("right")}}</li>
	<li>The mapped logical properties: {{cssxref("inset-block-start")}}, {{cssxref("inset-block-end")}}, {{cssxref("inset-inline-start")}}, and {{cssxref("inset-inline-end")}} and the shorthands {{cssxref("inset-block")}} and {{cssxref("inset-inline")}}</li>
	<li>{{cssxref("position")}}</li>
</ul>
